# chartPopulateBarData

## Description

A bar chart displays categorical data with rectangular bars. The bars can be plotted vertically or horizontally by defining the "rotate" parameter. It is used to compare values across different sub-groups and each sub-group is usually coloured or shaded differently to distinguish between them.

## Input / Parameter

| Name         | Description                                                         | Input Type  | Default | Options | Required |
| ------------ | ------------------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| component    | The name of the Chart component to take details from.               | String/Text | -       | -       | Yes      |
| componentId  | The id of the Chart component to take details from.                 | String/Text | -       | -       | No       |
| dataCaptions | The legend for each data.                                           | Array/List  | -       | -       | No       |
| data         | The data values for each legend.                                    | Array/List  | -       | -       | Yes      |
| dataColors   | The colors to be set for each legend.                               | Array/List  | -       | -       | No       |
| xCategories  | The labels for the categories on the x-axis.                        | Array/List  | -       | -       | No       |
| yCaption     | The label for the x-axis.                                           | String/Text | -       | -       | No       |
| xCaption     | The label for the y-axis.                                           | String/Text | -       | -       | No       |
| barRatio     | The percentage of the x-axis interval that the bar widths takes up. | Number      | -       | -       | No       |
| showLabel    | To show or hide label.                                              | Boolean     | false   | -       | No       |
| rotate       | To display chart horizontally or vertically.                        | Boolean     | false   | -       | No       |
| zoom         | To zoom or not to zoom.                                             | Boolean     | false   | -       | No       |

## Output

N/A

Note: The Chart component will be updated with the bar chart parameters specified.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/chart/chartpopulatebardata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
